Gecode::CPProfiler::MessageMarshalling Class Reference

`#include <message.hpp>`

## Public Member Functions

Message & | makeNode (NodeUID node, NodeUID parent, int32_t alt, int32_t kids, NodeStatus status)
void | makeStart (const std::string &info)
void | makeRestart (const std::string &info)
void | makeDone (void)
const Message & | get_msg (void)
std::vector< char > | serialize (void) const
void | deserialize (char *data, size_t size)

## Detailed Description

Definition at line 212 of file message.hpp.

## Member Function Documentation

## makeNode()

Message & Gecode::CPProfiler::MessageMarshalling::makeNode | ( | NodeUID | node,
|  | NodeUID | parent,
|  | int32_t | alt,
|  | int32_t | kids,
|  | NodeStatus | status )

inline

Definition at line 291 of file message.hpp.

## makeStart()

void Gecode::CPProfiler::MessageMarshalling::makeStart | ( | const std::string & | info | ) |

inline

info containts name, has_restarts, execution id

Definition at line 306 of file message.hpp.

## makeRestart()

void Gecode::CPProfiler::MessageMarshalling::makeRestart | ( | const std::string & | info | ) |

inline

info contains restart_id (-1 default)

Definition at line 313 of file message.hpp.

## makeDone()

void Gecode::CPProfiler::MessageMarshalling::makeDone | ( | void |  | ) |

inline

Definition at line 319 of file message.hpp.

## get_msg()

const Message & Gecode::CPProfiler::MessageMarshalling::get_msg | ( | void |  | ) |

inline

Definition at line 324 of file message.hpp.

## serialize()

std::vector< char > Gecode::CPProfiler::MessageMarshalling::serialize | ( | void |  | ) | const

inline

Definition at line 326 of file message.hpp.

## deserialize()

void Gecode::CPProfiler::MessageMarshalling::deserialize | ( | char * | data,
|  | size_t | size )

inline

Definition at line 371 of file message.hpp.

The documentation for this class was generated from the following file:

- gecode/search/cpprofiler/message.hpp